Subject: Re: [nemo] NEMOv4 vs DS-MIPv6
From: Keiichi SHIMA <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 12 May 2006 10:39:08 +0900 (JST)
List-Id: NEMO Working Group <nemo.ietf.org>

From: Alexandru Petrescu <[email-masked]>
Subject: Re: [nemo] NEMOv4 vs DS-MIPv6
Date: Thu, 11 May 2006 21:01:23 +0200

> >>> We don't talk about MNP tables but that doesn't mean we
> >> don't support
> >>> it.
> >> 
> >> I'm against silently supporting an essential data structure for 
> >> security.
> > 
> > => Fine, I'll add something to explain this. Feel free to suggest 
> > text.
> 
> I suggest using IPv4-mapped IPv6 addresses in the Prefix Table whenever
> the HoA of MR is an IPv4 HoA (and not simple 32bit IPv4 addresses in the
> NEMOv6 Prefix Table).  I am not sure though about the IPv4 MNP.  There
> seems to be no specification about how to use an IPv4 prefix in the
> v4-mapped v6 form, I've checked rfc4038 (app aspects of v6 trans) and
> 4291 (v6 addr arch).

If your suggestion is to write that "IPv4 MNP should be kept in
IPv4-mapped IPv6 address in IPv6 prefix tables", then I am against.
That kind of design should be implementation matter.

As Vijay said in the following mail, simply saying that the prefix
table can keep both IPv6 and IPv4 prefixes seems enough to me.

---
Keiichi SHIMA
IIJ Research Laboratory <[email-masked]>
WIDE Project <[email-masked]>